uber

Über / About
 Startseite Vor
Hilfefile zur / Help file for /
UserLib JHGadget_520 von / by Jens Haipeter

Library:
V1.33 vom / built 15.10.2013
Hilfe / Help:
V1.33 vom / built 15.10.2013

Die Library ist ausschließlich für: PB 5.20 / Windows-X86-Version /
The library is only for PB5.20, windows-x86-version

(Win98, ME, XP, Vista, Windows7, Windows8)

Die Library ist als MultiLib erstellt, keine SubSystems-Einträge.

Diese UserLibrary wurde geschrieben für PureBasic Version 5.20. Sie dient verschiedenen Gadgetfunktionen. Alle Funktionen wurden mehrfach getestet. Es wird keinerlei Garantie auf Funktion oder Nichtfunktion übernommen. Die Benutzung erfolgt auf eigene Gefahr.

English

This UserLibrary was written for PureBasic version 5.20. This library is good for some gadget functions. All functions were tested repeatedly. No guarantee is taken on function or not function. The use carried out at her own risk.

Dem Paket beigefügt ist ein Codebeispiel, welches alle Funktionen beinhaltet.
A code example which contains all functions is enclosed with the package.

Chemnitz, Oktober 2013

Jens Haipeter, Website: www.jhc-software.de


History
 Zurück Startseite Vor
Änderungen, Erweiterungen, Reparaturen an der UserLib

In der Version 1.00 neu:

- Veröffentlichungsversion

Update Version 1.01 / 21.12.2006

hinzugefügt

- 3 Funktionen für ListIconGadget

Update Version 1.02 / 05.04.2007

hinzugefügt

- 2 Funktionen für ButtonImageGadget

geprüft

- Library ist Vista tauglich

Update Version 1.03 / 03.05.2007

Update Version 1.04 / 07.06.2007

hinzugefügt

- verschiedene Funktionen für Editorgadget
- Sprachermittlung

Update Version 1.06 / 12.07.2007

repariert

- einige Funktionen griffen fälschlicher Weise auf
die JHPrinter_400 oder JHRegistry_400 zu

repariert

- SetGadgetBlockText Funktion

Update Version 1.08 / 02.01.2008

repariert
- Anpassung für PB 4.20

Update Version 1.09 / 25.05.2008

repariert
- Anpassung für PB 4.20 Final

Update Version 1.20 / 28.03.2009

repariert
- Anpassung für PB 4.30 Final

Update Version 1.21 / 06.04.2009

repariert
- SetGadgetBlockText

Update Version 1.22 / 15.08.2009

repariert
- Anpassung für PB 4.40 B1

Update Version 1.23 / 23.08.2010

repariert
- Anpassung für PB 4.50

Update Version 1.24 / 05.02.2011

hinzugefügt
- Unicode und Threadsafe

Update Version 1.25 / 16.02.2011

repariert
- Bugfix

Update Version 1.26 / 20.03.2011

geändert
- Funktion JHGadgetSetBlockText

Update Version 1.27 / 04.04.2011

hinzugefügt
- Funktion JHGadgetTaskbarHeight

Update Version 1.28 / 11.11.2011

repariert
- Anpassung für PB 4.60

Update Version 1.29 / 15.11.2012

repariert
- Anpassung für PB 5.00

Update Version 1.30 / 25.12.2012

repariert
- Anpassung für PB 5.10

Update Version 1.31 / 16.02.2013

entfernt
- JHGadgetEditorLineBreak

Update Version 1.32 / 05.10.2013

repariert
- Anpassung für PB 5.20

Update Version 1.33 / 15.10.2013

geändert
- Funktion JHGadgetSetLenOfText durch
JHEditorSetLenOfText ersetzt und die Option entfernt


Allgemeines

Allgemeines / General
allgemeine Vereinbarung / General agreements

Sofern zukünftig Stringrückgaben erforderlich sein sollten werden diese bis auf weiteres als ASCII-Zeichenfolge ausgegeben. Ich bitte dies bei Unicode Programmen zu beachten.

Ab Version 1.24 ist die Library sowohl Unicode als auch Threadsafe tauglich.

English

If i need stringreturns all string returns are ASCII. Please note it for Unicode programs.

With version 1.24 is unicode and threadsafe possible.

Fehlermeldungen / ERROR-Messages

keine Fehlermeldungen vorgesehen.

Alle Hinweise die in der Editorsyntaxvorschau angezeigt werden sind englisch.

English

No error messages in this library.

All notes are also these shown on the editor syntax line be english.


Danksagungen

Danksagungen / Credits
Dank gilt an dieser Stelle / thanks for:

Miguel Calderon alias El_Choni für seinen Library-Maker Tailbite, ohne ihn wäre es unmöglich UserLib direkt aus PureBasic Quellcode zu erstellen.

Klaus Dresen alias ABBKlaus aus dem PB Forum für die Mühen die TailBite für PB4.xx einsatzfähig zu machen.

Gnozal der sich auch Tailbite angenommen hat.

Falko Lünsmann für die Unterstützung der Funktionen für das ListIconGadget und EditorGadget.

Danilo Krahn, für seine Codebeispiele die mich zum Teil erst dazu bewegt haben verschiedene Funktionen zu erstellen.

Allen ungenannten, die durch ihre Kritik zu Verbesserungen oder Veränderung beigetragen haben oder dies noch tun wollen ;) Es dürfen gern Vorschläge oder Wünsche auf meiner Webseite im Gästebuch oder im Forum hinterlassen werden.

English

By her criticism these have contributed to improvements or change or want to do this still all unnamed. Notes, suggestions being able to and so on be left on my web page in the forum or in the visitor's book. I will assume gratefully or pick up for changes her.


Functions

Funktionen / Functions
Funktionen / functions

JHGadgetVersion
JHGadgetEvent
JHGadgetButtonDown
JHGadgetButtonUp
JHGadgetMouse
JHGadgetDefaultButton
JHGadgetTextHeight
JHGadgetScrollListIcon
JHGadgetScrollListIconAndMarkLine
JHGadgetTogglebarOn
JHGadgetTogglebarOff

JHGadgetSetBlockText
JHGadgetSetGadgetFont
JHGadgetGetLenOfText
( JHGadgetSetLenOfText ) veraltet
JHGadgetGetLangID
JHGadgetGetEditorXPos
JHGadgetGetEditorYPos
JHGadgetGetEditorAbsPos
JHGadgetSelectAll
JHGadgetEditorSetCursor
JHGadgetEditorLineBreak
JHEditorSetLenOfText

JHGadgetTaskbarHeight


JHGadgetVersion

Funktion JHGadgetVersion
Syntax

result.s = JHGadgetVersion (flag.b)

Beschreibung / Description

Gibt die Versionsnummer der Library als ASCII-String zurück.

English

Returns the number of version from the library as ascii-string.

Rückgabewerte / Returns

- mit flag = 1 wird ein Requester geöffnet der die Daten anzeigt. Außerdem wird
der Rückgabestring mit der Versionsnummer belegt.
- mit flag <> 1 wird nur der Rückgabestring mit der Versionsnummer belegt.

- with flag = #True is open a requester with the version informations. The string will be return
the number of version.
- with flag <> #True give only the string with version number.


JHGadgetEvent

Funktion JHGadgetEvents
Syntax

result.l = JHGadgetEvents(#Window)

Beschreibung / Description

Diese Funktion muß vor allen anderen der Library aufgerufen werden außer der Funktion JHGadgetDefaultButton() . Hier erfolgt die Verarbeitung der verschiedenen Ereignisse und die entsprechende Coderückgabe.

Sie müssen immer die Nummer des Fensters übergeben, für das die Auswertung stattfinden soll.

Die Anwendung der Befehle ist in einem Beispielprogramm dargestellt. Dieses finden Sie im Ordner PB..\Examples\JHLibs\JHGadget_400_test.pb wenn Sie alles installiert haben.

English

This function must be called befor all other functions of this library. Only the JHGadgetDefaultButton-Function you can use without this call.

You must give the function the window number for correctly call.

For using see example in PB..\Examples\JHLibs\JHGadget_400_test.pb if you have make a complete install.

Rückgabewerte / Returns

0 - wenn kein für die Library ausschlaggebendes Ereignis
1 - die linke Maustaste wurde gedrückt auf einem Gadget
2 - die linke Maustaste wurde losgelassen
3 - die rechte Maustaste wurde gedrückt auf einem Gadget
4 - die rechte Maustaste wurde losgelassen
5 - der Mauszeiger ist auf einem Gadget
6 - der Mauszeiger hat es wieder verlassen

0 - if no event for this library
1 - left mouse button down by a gadget
2 - left mouse button up by a gadget
3 - right mouse button down by a gadget
4 - right mouse button up by a gadget
5 - the mouse is in a gadget
6 - the mouse is outside of gadget


JHGadgetButtonDown

Funktion JHGadgetButtonDown
Syntax

result.l = JHGadgetButtonDown()

Beschreibung / Description

Diese Funktion gibt den Windows Identifer eines Gadget zurück wenn die Maustaste(en) gedrückt sind. Die Funktion JHGadgetEvent(#Window) muß zuvor aufgerufen worden sein. Verzweigen Sie das Ergebnis von JHGadgetEvent() nach 1 und 3.

Die Anwendung der Befehle ist in einem Beispielprogramm dargestellt. Dieses finden Sie im Ordner PB..\Examples\JHLibs\JHGadget_400_test.pb wenn Sie alles installiert haben.

English

This function give back the windows identifer of a gadget. You must call bevor JHGadgetEvent(#Window) . Select the result of function to 1 and 3.

For using see example in PB..\Examples\JHLibs\JHGadget_400_test.pb if you have make a complete install.

Rückgabewerte / Returns

0 wenn nichts ausgewertet wurde
die GadgetID wenn erfolgreich

0 if false
gadgetid if successful


JHGadgetButtonUp

Funktion JHGadgetButtonUp
Syntax

result.l = JHGadgetButtonUp()

Beschreibung / Description

Diese Funktion gibt den Windows Identifer eines Gadget zurück wenn die Maustast(en) losgelassen werden. Die Funktion JHGadgetEvent(#Window) muß zuvor aufgerufen worden sein. Verzweigen Sie das Ergebnis von JHGadgetEvent() auf 2 und 4.

Die Anwendung der Befehle ist in einem Beispielprogramm dargestellt. Dieses finden Sie im Ordner PB..\Examples\JHLibs\JHGadget_400_test.pb wenn Sie alles installiert haben.

English

This function give back the windows identifer of a gadget. You must call bevor JHGadgetEvent(#Window) . Select the result of function to 2 and 4.

For using see example in PB..\Examples\JHLibs\JHGadget_400_test.pb if you have make a complete install.

Rückgabewerte / Returns

0 wenn nichts ausgewertet wurde
die GadgetID wenn erfolgreich

0 if false
gadgetid if successful


JHGadgetMouse

Funktion JHGadgetMouse
Syntax

result.l = JHGadgetMouse()

Beschreibung / Description

Diese Funktion gibt den Windows Identifer eines Gadget zurück wenn dieses von der Maus erreicht oder verlassen wird. Die Funktion JHGadgetEvent(#Window) muß zuvor aufgerufen worden sein. Verzweigen Sie die Rückgabe des Ergebnisses der Funktion auf 5 und 6. Siehe auch Beschreibung der Funktion JHGadgetEvent .

Die Anwendung der Befehle ist in einem Beispielprogramm dargestellt. Dieses finden Sie im Ordner PB..\Examples\JHLibs\JHGadget_400_test.pb wenn Sie alles installiert haben.

English

This function give back the windows identifer of a gadget if the mouse come to it or go from it. You must call bevor JHGadgetEvent(#Window) and select 5 or 6 from the function result.

For using see example in PB..\Examples\JHLibs\JHGadget_400_test.pb if you have make a complete install.

Rückgabewerte / Returns

0 wenn nichts ausgewertet wurde
die GadgetID wenn erfolgreich

0 if false
gadgetid if successful


JHGadgetDefaultButton

Funktion JHGadgetDefaultButton
Syntax

result.l = JHGadgetDefaultButton(#Gadget)

Beschreibung / Description

Diese Funktion stellt ein den Style eines Gadget um und setzt den Default Rahmen. Die Rückgabe ist der PB Ident des ausgewählten Gadget. Wenn Sie als Gadget-Nummer -1 übergeben, so wird der Rahmen um das zuletzt ausgewählte Gadget entfernt und die Rückgabe der Funktion ist ebenfalls -1. Den Rückgabewert können Sie zur Zuweisung von Ereignissen verwenden, beispielsweise um eine Reaktion durch die <Return> Taste auszulösen. Diese Funktionsweise ist im Beispielprogramm dargestellt.

Die Anwendung der Befehle ist in einem Beispielprogramm dargestellt. Dieses finden Sie im Ordner PB..\Examples\JHLibs\JHGadget_400_test.pb wenn Sie alles installiert haben.

English

This function change the style of gadget and set the default frame. The result is the PB-Ident from the selected gadget. If you give -1 for this function, the last frame will be delete and the return is -1. You can use the result for selection of events, e.g. a <Return> push by this gadget. This example is declared by the test program.

For using see example in PB..\Examples\JHLibs\JHGadget_400_test.pb if you have make a complete install.

Rückgabewerte / Returns

-1 wenn kein DefaultButton ausgewählt ist
die PB-Nummer des ausgewählten Gadget

-1 if not select a DefaultButton
the PB-number of DefaultButton


JHGadgetTextHeight

Funktion JHGadgetTextHeight
Syntax

result.l = JHGadgetTextHeight(FontName.s, FontHeight.l)

Beschreibung / Description

Diese Funktion gibt die Höhe in Pixel des gewählten Font zurück. Sie ist notwendig für die Ausführung der beiden ListIcon Funktionen, es sei denn, Sie möchten experimentieren. Sie sollten immer den Font angeben, der auch von den ListIcon verwendet wird.

Später möchten Sie bitte <1> zum Ergebnis hinzuaddieren, dies ist der Abstand der Zeilen untereinander. Ein Beispielprogramm ist dem Paket beigefügt, somit verzichte ich hier auf die Angabe eines separaten Codes.

English

This function give back the height in pixel from the given font and fontsize. You need this for the other two listicon functions, if you don´t make some experience. You must always give a font. It must be the theme font as you use for listicon.

In the next time add <1> to the return. This is the difference to the next line of listicon. For using see example in the completely package of library.

Rückgabewerte / Returns

0 wenn fehlerhaft
die Höhe des Font wenn erfolgreich

0 if false
the height of font if successful


JHGadgetScrollListIcon

Funktion JHGadgetScrollListIcon
Syntax

JHGadgetScrollListIcon(Gadget.l, Scroll.l, fakt.l)

Beschreibung / Description

Diese Funktion scrollt ein ListIconGadget auf die mit Scroll.l angegebene Zeile. Dafür ist es notwendig, mit der Funktion JHGadgetTextHeight() die Höhe des für das Gadget verwendeten Font zu ermitteln. Zu diesem Wert müssen Sie dann noch 1 addieren und dann mit fakt.l an die Funktion übergeben. Gadget.l ist die PB-Nummer des Gadget auf das Sie die Funktion anwenden möchten. Tests habe ich nur mit ListIconGadget durchgeführt, möglicher Weise sind auch andere damit ansprechbar.

Wenn Sie für Scroll -1 angeben wird auf den Anfang gesprungen. Geben Sie einen Wert ein der größer ist als die Anzahl der Items, so wird auf das Ende gesprungen.

Bitte sehen Sie sich dazu das dem Paket begefügte Beispiel an.

English

This function jump a listicongadget to the given number of line. You give scroll.l for it. You must also give fakt.l. This is the height of text from using font for gadget. The funktion JHGadgetTextHeight give back this number and you must add 1. All tests was only with listicongadget, but it´s possible that the function call is ok for other gadget with scrolling.

If you say -1 for scroll the jump is to the first line of gadget and if you give a bigger number as you have items in this gadget the jump is to the end.

Please see for using the example code in this package.

Rückgabewerte / Returns

keine


JHGadgetScrollListIconAndMarkLine

Funktion JHGadgetScrollListIconAndMarkLine
Syntax

JHGadgetScrollListIconAndMarkLine(Gadget.l, Scroll.l, fakt.l, farbe.l)

Beschreibung / Description

Diese Funktion scrollt ein ListIconGadget auf die mit Scroll.l angegebene Zeile und markiert sie mit der angegebenen Farbe (Hintergrund). Dafür ist es notwendig, mit der Funktion JHGadgetTextHeight() die Höhe des für das Gadget verwendeten Font zu ermitteln. Zu diesem Wert müssen Sie dann noch 1 addieren und dann mit fakt.l an die Funktion übergeben. Gadget.l ist die PB-Nummer des Gadget auf das Sie die Funktion anwenden möchten. Tests habe ich nur mit ListIconGadget durchgeführt, möglicher Weise sind auch andere damit ansprechbar. Für farbe.l geben Sie entweder den Farbcode an wenn bekannt, oder Sie schreiben statt dessen an die Stelle RGB(Rot,Grün,Blau).

Wenn Sie für Scroll -1 angeben wird auf den Anfang gesprungen. Geben Sie einen Wert ein der größer ist als die Anzahl der Items, so wird auf das Ende gesprungen.

Bitte sehen Sie sich dazu das dem Paket begefügte Beispiel an.

English

This function jump a listicongadget to the given number of line and set the background color to the given color. You give scroll.l for it. You must also give fakt.l. This is the height of text from using font for gadget. The funktion JHGadgetTextHeight give back this number and you must add 1. All tests was only with listicongadget, but it´s possible that the function call is ok for other gadget with scrolling.

The term for <farbe.l> is a color number. You can also use RGB(red,green,blue) for it.

If you say -1 for scroll the jump is to the first line of gadget and if you give a bigger number as you have items in this gadget the jump is to the end.

Please see for using the example code in this package.

Rückgabewerte / Returns

keine


JHGadgetSetBlockText

Funktion JHGadgetSetBlockText
Syntax

result.s = JHGadgetSetBlockText(Text.s, Width.l, FontName.s, FontSize.l, FontStyle.l, [BreakLen.l])

Beschreibung / Description

Diese Funktion gibt den angegebenen Text mit der angegebenen Breite des angegebenen Fonts als Blocksatz zurück. Für die Breite geben Sie die des zu verwendeten Gadget an. Die Konstante #FontNo bezeichnet den Identifer des zu verwendenten Font, FontName.s gibt den Namen des Font an, FontSize die Höhe und FontStyle eine der PB FontStyle Konstanten. Wenn Sie für FontStyle #False übergeben wird mit dem Standardstyle gearbeitet. Sie sollten vorher immer die Funktion JHGadgetSetGadgetFont() aufrufen. Die Ermittlung der Ausgabebreite erfolgt innerhalb der Procedure basierend auf der aktuellen Einstellung ihres Ausgabegerätes.

Option: Länge des Textes bis gebrochen wird, auch wenn kein Leerzeichen gefunden wurde. Eingabe mindestens die Hälfte der Breite, maximal die Breite. Angabe in Pixel.

Für die Funktionsweise sehen Sie bitte im Anwendungsbeispiel using_sample.pb nach.

Die Funktion basiert auf der Einfügung von Leerzeichen zwischen die Worte, es ist also (noch) nicht möglich ein einzelnes Wort in eine Blocklänge zu bringen.

English

This function gives back the given string with the given parameters as block. Width.l is the width of gadget for using. #FontNo is the ID of used font, FontName the name of this, FontSize the specified size of font and FontStyle the PB constant for style or #False for standard. Please use first JHGadgetSetGadgetFont() .

This function is based of CHR(20) sign between the words. It´s impossible now to use one word in a line for this (in the moment).

Please see for using the sample file using_sample.pb

Rückgabewerte / Returns

- den gewandelten String wenn erfolgreich
- den Quellstring bei Fehlschlag
- the new string if successful
- source string if false

Beispiel / Example

tx1.s="Eine Fließtextausgabe in ein Textgadget"

; Der Text
TxtWid.l=510; Die Breite des späteren Gadget vermindert um 4 Pixel
tx.s="Im folgenden werden Sie aufgefordert, den Drucker auszuwählen. "
tx +"Ein Abbruch führt zur Beendigung des Programms. Verschiedene "
tx +"Einstellungen sind abhängig vom verwendeten Drucker und dessen "
tx +"Einstellungen. Auf diese nimmt das Programm Bezug. Ändern Sie "
tx +"die Einstellungen für den Drucker separat, diese können von "
tx +"hier nicht beeinflußt werden. "
; den gesamten Fließtext anpassen in Blocksatz
; setzt den Font für das Gadget, sollte man machen ;)
FontHe.l=JHGadgetSetGadgetFont("ARIAL",10,0,#PB_Font_Bold)
tx2.s=JHGadgetSetBlockText(tx, TxtWid, 1, "ARIAL", FontHe, #PB_Font_Bold)
tx+Chr(13)+Chr(13)
tx+"Und nun das Ganze im Blocksatz wiederholen."
tx+Chr(13)+Chr(13)
tx+tx2
tx=tx1+Chr(13)+Chr(13)+tx
; Informationsfenster öffnen
win.l=OpenWindow(#PB_Any, 0, 0,520,290,"Testprogramm JHPrinter_400 UserLibrary",#PB_Window_SystemMenu|#PB_Window_ScreenCentered)
If win
If CreateGadgetList(WindowID(win))
TextGadget (#PB_Any, 5, 0,514,280,tx)
EndIf
Repeat
Select WaitWindowEvent()
Case #PB_Event_CloseWindow
Quit=#True
EndSelect
Until Quit
EndIf


JHGadgetSetGadgetFont

Funktion JHGadgetSetGadgetFont
Syntax

result.l = JHGadgetSetGadgetFont(Fontname.s, Fontsize.l, FontID, FontStyle)

Beschreibung / Description

Diese Funktion stellt den Gadgetfont ein auf eine frei wählbare Schriftart und Größe, die sich auf eine Desktopauflösung von 96 DPI bezieht. Es wird somit immer ein gleiches Aussehen der Inhalte gewährleistet, unabhängig von den Systemeinstellungen für die Darstellung der Schriftarten. Beachten Sie jedoch, daß nicht alle Schriftarten in allen möglichen Größen auf jedem System vorhanden sind. Meist richtig liegen Sie mit Arial.

Es handelt sich hierbei um die ähnliche Funktion wie in der JHRegistry_400 Library. Unterschiede sind die erweiterte Übergabe und die Rückgabewerte.

English

This function adjusts the gadgetfont to a script freely eligible for office and size which refers to a desktop dissolving of 96 DPI. A similar appearance of the contents is always guaranteed independently of the system attitudes for the representation of the scripts therefore. Make sure, however, that all scripts aren't available in all possible sizes on every system. You usually lie correctly with Arial.

Rückgabewerte / Returns

- die Größe des Font wenn erfolgreich
- #False bei Fehler
- size of font if successful
- #False at fault
FontID sollte eine Konstante sein, die man mit Enumeration festlegt.
FontID should be a constant which one fixes with Enumeration.
FontStyle sind die PB Konstanten für den Style
FontStyle are the PB constants for style


JHGadgetGetLenOfText

Funktion JHGadgetGetLenOfText
Syntax

result.l = JHGadgetGetLenOfText(#Gadget)

Beschreibung / Description

Diese Funktion fragt die maximal mögliche Eingabelänge für ein String- oder Editorgadget ab. Wurde kein Wert gesetzt, so wird die Defaultlänge zurückgegeben.

Die Anwendung der Befehle ist in einem Beispielprogramm dargestellt. Dieses finden Sie im Ordner PB..\Examples\JHLibs\JHGadget_400_test.pb wenn Sie alles installiert haben.

English

This function show the limit of length for Editor or String gadget.

For using see example in PB..\Examples\JHLibs\JHGadget_400_test.pb if you have make a complete install.

Rückgabewerte / Returns

Die maximale Länge der Eingabe wenn erfolgreich
The maximum length if successful


JHGadgetSetLenOfText

Funktion JHGadgetSetLenOfText
Funktion entfernt, wird nativ durch PB unterstützt. Für Editorgadget siehebei der Funktion:

- JHEditorSetLenOfText


JHGadgetTogglebarOn

Funktion JHGadgetTogglebarOn
Syntax

JHGadgetTogglebarOn(#Gadget)

Beschreibung / Description

Diese Funktion macht ein Button(Image)Gadget togglebar, daß heißt nach dem anklicken bleibt der Button in gedrückter Stellung.

#Gadget ist der PB-Ident des gewählten Gadget.

Die Anwendung der Befehle ist in einem Beispielprogramm dargestellt. Dieses finden Sie im Ordner PB..\Examples\JHLibs\JHGadget_400_test.pb wenn Sie alles installiert haben.

English

This function make a Button(Image)Gadget togglebar.

#Gadget is the PB-Ident of current gadget.

For using see example in PB..\Examples\JHLibs\JHGadget_400_test.pb if you have make a complete install.

Rückgabewerte / Returns

- 1 bei Fehler
wenn alles OK ist, den PB-Ident des Gadget

- 1 if error
the PB-Ident if OK


JHGadgetTogglebarOff

Funktion JHGadgetTogglebarOff
Syntax

JHGadgetTogglebarOff(#Gadget)

Beschreibung / Description

Diese Funktion schaltet den Toggle-Status für das angegebene Gadget aus.

#Gadget ist der PB-Ident des gewählten Gadget.

Die Anwendung der Befehle ist in einem Beispielprogramm dargestellt. Dieses finden Sie im Ordner PB..\Examples\JHLibs\JHGadget_400_test.pb wenn Sie alles installiert haben.

English

This function switch of the togglebar status for Button(Image)Gadget.

#Gadget is the PB-Ident of gadget

For using see example in PB..\Examples\JHLibs\JHGadget_400_test.pb if you have make a complete install.

Rückgabewerte / Returns

- 1 wenn ausgeschaltet / if switch of
- 2 bei Fehler / for error


JHGadgetGetLangID

Funktion JHGadgetGetLangID
Syntax

result.l = JHGadgetGetLangID(flag.l)

Beschreibung / Description

Diese Funktion gibt die ID der verwendeten Sprache des Nutzers oder des Systems zurück. Ohne flag oder mit flag = #False wird die NutzersprachID zurückgegeben.

Beispielsweise 7 für Deutsch, 9 für Englisch.

Die Anwendung der Befehle ist in einem Beispielprogramm dargestellt. Dieses finden Sie im Ordner PB..\Examples\JHLibs\JHGadget_400_test.pb wenn Sie alles installiert haben.

English

This give back the ID of user or systemlanguage. Without flag or flag = #false userlanguage.

e.g. 7 for German or 9 for English.

For using see example in PB..\Examples\JHLibs\JHGadget_400_test.pb if you have make a complete install.

Rückgabewerte / Returns

SprachID wenn erfolgreich
LanguageID if successful


JHGadgetGetEditorXPos

Funktion JHGadgetGetEditorXPos
Syntax

result.l = JHGadgetGetEditorXPos(#Gadget)

Beschreibung / Description

Diese Funktion gibt die Position des Cursors innerhalb einer Zeile zurück beginnend mit 0.

Die Anwendung der Befehle ist in einem Beispielprogramm dargestellt. Dieses finden Sie im Ordner PB..\Examples\JHLibs\JHGadget_400_test.pb wenn Sie alles installiert haben.

English

This function return the column position of cursor.

For using see example in PB..\Examples\JHLibs\JHGadget_400_test.pb if you have make a complete install.

Rückgabewerte / Returns

XPos wenn erfolgreich
XPos if successful


JHGadgetGetEditorYPos

Funktion JHGadgetGetEditorYPos
Syntax

result.l = JHGadgetGetEditorYPos(#Gadget)

Beschreibung / Description

Diese Funktion gibt die Position des Cursors innerhalb einer Spalte zurück beginnend mit 0.

Die Anwendung der Befehle ist in einem Beispielprogramm dargestellt. Dieses finden Sie im Ordner PB..\Examples\JHLibs\JHGadget_400_test.pb wenn Sie alles installiert haben.

English

This function return the line position of cursor.

For using see example in PB..\Examples\JHLibs\JHGadget_400_test.pb if you have make a complete install.

Rückgabewerte / Returns

YPos wenn erfolgreich
YPos if successful


JHGadgetGetEditorAbsPos

Funktion JHGadgetGetEditorAbsPos
Syntax

result.l = JHGadgetGetEditorAbsPos(#Gadget)

Beschreibung / Description

Diese Funktion gibt die Position des Cursors innerhalb des Textes zurück beginnend mit 0.

Die Anwendung der Befehle ist in einem Beispielprogramm dargestellt. Dieses finden Sie im Ordner PB..\Examples\JHLibs\JHGadget_400_test.pb wenn Sie alles installiert haben.

English

This function return the absolute position of cursor in a text.

For using see example in PB..\Examples\JHLibs\JHGadget_400_test.pb if you have make a complete install.

Rückgabewerte / Returns

Pos wenn erfolgreich
Pos if successful


JHGadgetSelectAll

Funktion JHGadgetSelectAll
Syntax

JHGadgetSelectAll(#Gadget, [Typ.l])

Beschreibung / Description

Diese Funktion markiert den gesamten Text eines Stringgadgets (kein Typ oder Typ = 0) oder eines Editorgadgets (Typ = #True).

Die Anwendung der Befehle ist in einem Beispielprogramm dargestellt. Dieses finden Sie im Ordner PB..\Examples\JHLibs\JHGadget_400_test.pb wenn Sie alles installiert haben.

English

This function mark all text in a Stringgadget (no Typ or Typ = 0) or in a Editorgadget (Typ = 1).

For using see example in PB..\Examples\JHLibs\JHGadget_400_test.pb if you have make a complete install.

Rückgabewerte / Returns

keine / no


JHGadgetEditorSetCursor

Funktion JHGadgetEditorSetCursor
unfinished fuction


JHGadgetEditorLineBreak

Funktion JHGadgetEditorLineBreak
Funktion entfällt durch native Unterstützung seitens PB ab Version 5.10

Syntax

result.l = JHGadgetEditorLineBreak(#Gadget)

Beschreibung / Description

Diese Funktion aktiviert den automatischen Zeilenumbruch in einem Editorgadget.

Die Anwendung der Befehle ist in einem Beispielprogramm dargestellt. Dieses finden Sie im Ordner PB..\Examples\JHLibs\JHGadget_400_test.pb wenn Sie alles installiert haben.

English

This function activate the automatic line break.

For using see example in PB..\Examples\JHLibs\JHGadget_400_test.pb if you have make a complete install.

Rückgabewerte / Returns

#True wenn erfolgreich aktiviert
#True if successful activated


JHGadgetTaskbarHeight
Syntax

result.l = JHGadgetTaskbarHeight()

Beschreibung / Description

Diese Funktion gibt die aktuelle Höhe der Taskleiste zurück wenn erfolgreich.

Die Anwendung der Befehle ist in einem Beispielprogramm dargestellt. Dieses finden Sie im Ordner PB..\Examples\JHLibs\JHGadget_450_test.pb wenn Sie alles installiert haben.

English

This function give back the height of taskbar if succesfull.

For using see example in PB..\Examples\JHLibs\JHGadget_440_test.pb if you have make a complete install.

Rückgabewerte / Returns

Höhe der Taskleiste in Pixel wenn erfolgreich
Height of taskbar in pixel if successful


JHEditorSetLenOfText
 Zurück Startseite
Syntax

result.i = JHEditorSetLenOfText(#Gadget, Length.i)

Beschreibung / Description

Diese Funktion setzt die maximal mögliche Eingabelänge für ein (String- oder) Editorgadget.
Sie kann innerhalb eines Programms mehrfach auf ein Gadget angewendet werden. Für Stringgadget wurde eine native Möglichkeit in PB integriert.

Der vorhandene Inhalt wird auf die neue Länge beschnitten.

Die Anwendung der Befehle ist in einem Beispielprogramm dargestellt. Dieses finden Sie im Ordner PB..\Examples\JHLibs\JHGadget_520_test.pb wenn Sie alles installiert haben.

English

This function set the limit of length for Editor (or String) gadget. For Stringgadget is possible to use a native PB function.

For using see example in PB..\Examples\JHLibs\JHGadget_520_test.pb if you have make a complete install.

Rückgabewerte / Returns

#True wenn erfolgreich
#True if successful